On 29 Oct, 20:41, Wincent Colaiuta <w... / wincent.com> wrote:
> On Oct 29, 6:27 pm, has <has.te... / virgin.net> wrote:
>
> > Note: it may help to indicate which Ruby installation you're using -
> > Apple's or something else?
>
> At the moment, totally stock standard; this is a clean install using
> Apple's Ruby (ruby 1.8.6 (2007-06-07 patchlevel 36) [universal-
> darwin9.0]). Will continue to investigate.

Try the following:

require 'mkmf'
$LDFLAGS << ' -framework Cocoa'
have_func('NSApp') # should put 'checking for NSApp()... yes'

If it outputs 'checking for NSApp()... no', that would suggest it's
related to the problem I described. (BTW, I assume you're running the
exconf.rb script via /usr/bin/ruby, yes? What sort of hardware are you
on; PPC or i386?)

HTH

has
--
http://appscript.sourceforge.net
http://rb-appscript.rubyforge.org